计算管理/主机相关接口/主机硬件设备相关接口
GETHost Hardware Device APIs起始版本 3.6同步需要认证
获取Raid物理盘SMART信息
获取Raid物理盘SMART信息
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
查询参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
查询参数
systemTagsList系统标签。
userTagsList用户标签。
响应状态
请求地址
GET/zstack/v1/storage-devices/local-raid/physical-drives/{uuid}/smart
/zstack/v1/storage-devices/local-raid/physical-drives/{uuid}/smart
请求示例
curl -X GET 'http://{host}/zstack/v1/storage-devices/local-raid/physical-drives/{uuid}/smart?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
响应示例
200{ "result": [ { "id": 1, "attributeName": "Raw_Read_Error_Rate", "flag": "0x002f", "value": 200, "worst": 200, "thresh": 41, "type": "Pre-fail", "updated": "Always", "whenFailed": "-", "rawValue": 0 }, { "id": 3, "attributeName": "Spin_Up_Time", "flag": "0x0027", "value": 142, "worst": 142, "thresh": 17, "type": "Pre-fail", "updated": "Always", "whenFailed": "-", "rawValue": 3866 }, { "id": 4, "attributeName": "Start_Stop_Count", "flag": "0x0032", "value": 100, "worst": 100, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 22 }, { "id": 5, "attributeName": "Reallocated_Sector_Ct", "flag": "0x0033", "value": 200, "worst": 200, "thresh": 140, "type": "Pre-fail", "updated": "Always", "whenFailed": "-", "rawValue": 0 }, { "id": 7, "attributeName": "Seek_Error_Rate", "flag": "0x002e", "value": 200, "worst": 200, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 0 }, { "id": 9, "attributeName": "Power_On_Hours", "flag": "0x0032", "value": 97, "worst": 97, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 2585 }, { "id": 10, "attributeName": "Spin_Retry_Count", "flag": "0x0032", "value": 100, "worst": 253, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 0 }, { "id": 11, "attributeName": "Calibration_Retry_Count", "flag": "0x0032", "value": 100, "worst": 253, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 0 }, { "id": 12, "attributeName": "Power_Cycle_Count", "flag": "0x0032", "value": 100, "worst": 100, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 22 }, { "id": 16, "attributeName": "Unknown_Attribute", "flag": "0x0022", "value": 0, "worst": 200, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 34516442916 }, { "id": 183, "attributeName": "Runtime_Bad_Block", "flag": "0x0032", "value": 100, "worst": 100, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 0 }, { "id": 192, "attributeName": "Power-Off_Retract_Count", "flag": "0x0032", "value": 200, "worst": 200, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 20 }, { "id": 193, "attributeName": "Load_Cycle_Count", "flag": "0x0032", "value": 200, "worst": 200, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 4 }, { "id": 194, "attributeName": "Temperature_Celsius", "flag": "0x0022", "value": 112, "worst": 106, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 31 }, { "id": 196, "attributeName": "Reallocated_Event_Count", "flag": "0x0032", "value": 200, "worst": 200, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 0 }, { "id": 197, "attributeName": "Current_Pending_Sector", "flag": "0x0032", "value": 200, "worst": 200, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 0 }, { "id": 198, "attributeName": "Offline_Uncorrectable", "flag": "0x0030", "value": 200, "worst": 200, "thresh": 0, "type": "Old_age", "updated": "Offline", "whenFailed": "-", "rawValue": 0 }, { "id": 199, "attributeName": "UDMA_CRC_Error_Count", "flag": "0x0032", "value": 200, "worst": 200, "thresh": 0, "type": "Old_age", "updated": "Always", "whenFailed": "-", "rawValue": 0 }, { "id": 200, "attributeName": "Multi_Zone_Error_Rate", "flag": "0x08", "value": 200, "worst": 200, "thresh": 0, "type": "Old_age", "updated": "Offline", "whenFailed": "-", "rawValue": 0 } ] }变更历史
此 API 暂无变更历史记录。
